#include <iostream>

using namespace std;

int main()
{
    int t;
    //cout<<"Hanyszor szeretned tesztelni? "<<endl;
    cin>>t;
    int n[t],m[t],k[t];
    for(int i=0;i!=t; i++)
    {
        //cout<<"Kerek a tanulok, banankrem es a csoportok szamat"<<endl;
        cin>>n[i]>>m[i]>>k[i];
    }
    for(int i=0; i!=t; i++)
    {
        if(n[i]==m[i]||n[i]==k[i]||m[i]==k[i])
            cout<<"Tak"<<endl;
        else if(n[i]==m[i]||k[i]>n[i]||(k[i]==1&&(n[i]*(n[i]+1)/2.0>m[i])))
            cout<<"Nie"<<endl;
        else
            cout<<"Tak"<<endl;


    }



    return 0;
}